fioles = [20, 20, 20, 0]

for i in range(12):
    current = i%4
    next1 = (i+1)%4
    next2 = (i+2)%4
    next3 = (i+3)%4

    #1/3 de N versé dans N+1
    tiers = fioles[current]/3
    if fioles[next1]+tiers > 25:
        versé = 25-fioles[next1]
    else:
        versé = tiers
    fioles[next1] = fioles[next1] + versé
    fioles[current] = fioles[current] - versé

    #1/3 de N versé dans N+2
    tiers = fioles[current]/3
    if fioles[next2]+tiers > 25:
        versé = 25-fioles[next2]
    else:
        versé = tiers
    fioles[next2] = fioles[next2] + versé
    fioles[current] = fioles[current] - versé

    #1/3 de N versé dans N+3
    tiers = fioles[current]/3
    if fioles[next3]+tiers > 25:
        versé = 25-fioles[next3]
    else:
        versé = tiers
    fioles[next3] = fioles[next3] + versé
    fioles[current] = fioles[current] - versé

    print(i+1, fioles)